mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

For performance reasons, the default principal and identity objects are not created until they are needed. If a principal is explicitly added to the current thread, a default principal is not created and the principal policy setting is ignored.

A trusted host can override the default principal policy by specifying another of these values using the method of an .

Specifies how principal and identity objects should be created for an application domain. The default is UnauthenticatedPrincipal.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.PrincipalPolicy To be added

  No principal or identity objects should be created.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.PrincipalPolicy To be added

  Principal and identity objects for the unauthenticated entity should be created. An unauthenticated entity has set to the empty string ("") and set to false.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Principal.PrincipalPolicy To be added

  Principal and identity objects that reflect the operating system token associated with the current execution thread should be created, and the associated operating system groups should be mapped into roles.